Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.tx
Class TxInterceptor.NotSupported

    java.lang.Object
      org.jboss.aspects.tx.TxInterceptor.NotSupported

All Implemented Interfaces:
  org.jboss.aop.advice.Interceptor

Enclosing class:
  TxInterceptor

public static class TxInterceptor.NotSupported
extends Object
implements org.jboss.aop.advice.Interceptor

Field Summary
`protected TxPolicy` | `policy`
`protected int` | `timeout`
`protected TransactionManager` | `tm`

Constructor Summary
`TxInterceptor.NotSupported(TransactionManager tm, TxPolicy policy)`
`TxInterceptor.NotSupported(TransactionManager tm, TxPolicy policy, int timeout)`

Method Summary
`String` | `getName()`
`Object` | `invoke(org.jboss.aop.joinpoint.Invocation invocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tm

    protected TransactionManager tm

### policy

    protected TxPolicy policy

### timeout

    protected int timeout

Constructor Detail

### TxInterceptor.NotSupported

    public TxInterceptor.NotSupported(TransactionManager tm,
                                      TxPolicy policy)

### TxInterceptor.NotSupported

    public TxInterceptor.NotSupported(TransactionManager tm,
                                      TxPolicy policy,
                                      int timeout)

Method Detail

### invoke

    public Object invoke(org.jboss.aop.joinpoint.Invocation invocation)
                  throws Throwable

  Specified by:
    `invoke` in interface `org.jboss.aop.advice.Interceptor`
  Throws:
    `Throwable`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.jboss.aop.advice.Interceptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.